/****************************************************************************************


		CarraraStatusCode.h

		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		when		who			what & why
		==========	==========	======================================================
/****************************************************************************************


		CarraraStatusCode.h

		Copyright: (c) 2001 Eovia Corp. All rights reserved.

		when		who			what & why
		==========	==========	======================================================

*****************************************************************************************/

#ifndef __CarraraStatusCode__
#define __CarraraStatusCode__

#include "MCStatusCode.h"

#define PhysicsModule 0x0065


enum
{
	kPhysicsEngineFailed	= MAKE_MCCOMErr(MCSEVERITY_ERROR, PhysicsModule, 3000),
	kInvalidEquation		= MAKE_MCCOMErr(MCSEVERITY_ERROR, PhysicsModule, 3008),
	kInvalidConstraint		= MAKE_MCCOMErr(MCSEVERITY_ERROR, PhysicsModule, 3012),
	kBadGeometryFailure		= MAKE_MCCOMErr(MCSEVERITY_ERROR, PhysicsModule, 3013),
	kIntegrationFailure		= MAKE_MCCOMErr(MCSEVERITY_ERROR, PhysicsModule, 3014)
};
#endif